ranges::pipeable_base Struct Reference
Functional

## Friends

Arg friend constexpr auto | operator| (Arg &&arg, Pipe pipe)
template<typename Pipe0 , typename Pipe1 >
requires is_pipeable_v< Pipe0 > &&is_pipeable_v< Pipe1 > friend constexpr auto | operator| (Pipe0 pipe0, Pipe1 pipe1)
template<typename Arg , typename Pipe >
auto | operator|= (Arg &arg, Pipe pipe) -> Arg &requires(is_pipeable_v< Pipe >) &&(!is_pipeable_v< Arg >)&&invocable< Pipe, Arg &>